#
# spec file for package marsnwe (Version 0.99.pl4)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         marsnwe
Release:      14
Copyright:    Martin Stover
Group: 
Provides:     mars_nwe 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      0.99.pl4
Summary:      Novell server emulation
Source: mars_nwe-0.99.pl4.tar.gz
Patch: mars_nwe-0.99.pl4.dif
%description
Complete emulation of a Novell server.
Supports file-service, bindery-service, print-service and routing-service.
Your kernel has to be configured according to
/usr/doc/packages/marsnwe/INSTALL. 

Authors:
--------
    Martin Stover <mstover@freeway.de>

%prep
%setup -n mars_nwe-0.99.pl4
%patch
if [ -f Imakefile ] ; then xmkmf -a ; fi
%build
if [ -f Makefile.Linux ] ; then
    make -f Makefile.Linux compile
else
    make
fi ; 
%install
if [ -f Makefile.Linux ] ; then
    make -f Makefile.Linux install
else
    make install
fi ; 
if [ -f Imakefile ] ; then make install.man ; fi
Check
%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.marsnwe
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.marsnwe"
  echo "and update by hand."
fi
%files
%docdir /usr/X11R6/man
%docdir /usr/openwin/man
%docdir /usr/doc/packages/marsnwe/examples
/usr/doc/packages/marsnwe/examples
%dir /usr/doc/packages/marsnwe
%config /etc/nwserv.conf
/sbin/init.d/nwe
/sbin/init.d/rc2.d/K20nwe
/sbin/init.d/rc2.d/S20nwe
/sbin/init.d/rc3.d/K20nwe
/sbin/init.d/rc3.d/S20nwe
%doc /usr/doc/packages/marsnwe/BUGS
%doc /usr/doc/packages/marsnwe/CHANGES
%doc /usr/doc/packages/marsnwe/CREDITS
%doc /usr/doc/packages/marsnwe/FAQS
%doc /usr/doc/packages/marsnwe/FRAGEN
%doc /usr/doc/packages/marsnwe/FRAGEN.erik
%doc /usr/doc/packages/marsnwe/HOWTO.ger
%doc /usr/doc/packages/marsnwe/INSTALL
%doc /usr/doc/packages/marsnwe/INSTALL.ger
%doc /usr/doc/packages/marsnwe/NEWS
%doc /usr/doc/packages/marsnwe/PIPE-FS
%doc /usr/doc/packages/marsnwe/PIPE-FS.ger
%doc /usr/doc/packages/marsnwe/README
%doc /usr/doc/packages/marsnwe/README.ger
%doc /usr/doc/packages/marsnwe/mars_nwe.lsm
/usr/sbin/ncpserv
/usr/sbin/nwbind
/usr/sbin/nwclient
/usr/sbin/nwconn
/usr/sbin/nwserv
/var/adm/fillup-templates/rc.config.marsnwe

